# stuff to be implemented externally:
Source10: kmodtool
%define	kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.18-1.2798.fc6}

%define kmod_name rt2400
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20061120

Name:		%{kmod_name}-kmod
Version:	1.2.2.cvs%cvs
Release:	5.%(echo %{kverrel} | tr - _)
Summary:	Kernel module for RT2400 wireless devices 
Group:		System Environment/Kernel
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt2400-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt2400-cvs-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sharutils
# ppc version may be very buggy
#ExclusiveArch:	i585 i686 x86_64


%description
This package contains the Ralink rt2400 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt2400 chipsets.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}-%{cvs} 
#grep -rlF '<linux/config.h>' rt2400-cvs-%{cvs} \
#| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|'
for kvariant in %{kvariants} ; do
	cp -a rt2400-cvs-%{cvs} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
#ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant/Module
	make 					\
	KERNELPATH="%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}" 			\
	KERNELRELEASE=%{kverrel}${kvariant}	\
	MISC=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
cd ..
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    pushd _kmod_build_$kvariant/Module
install -m 644 rt2400.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    popd
done


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 20061120.
- Drop RuilT

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Drop link to RaConfig2400 ( but is still built).
- Requires RutilT.
- inital release.
